corda / net.corda.core.crypto / TransactionSignature

# TransactionSignature

`open class TransactionSignature : DigitalSignature`

A wrapper around a digital signature accompanied with metadata, see MetaData.Full and DigitalSignature. The signature protocol works as follows: s = sign(MetaData.hashBytes).

### Constructors

<init> | `TransactionSignature(signatureData: ByteArray, metaData: MetaData)` A wrapper around a digital signature accompanied with metadata, see MetaData.Full and DigitalSignature. The signature protocol works as follows: s = sign(MetaData.hashBytes).

### Properties

metaData | `val metaData: MetaData`
signatureData | `val signatureData: ByteArray`

### Functions

verify | `fun verify(): Boolean` Function to auto-verify a MetaData object's signature. Note that MetaData contains both public key and merkle root of the transaction.

### Extension Functions

deserialize | `fun <T : Any> OpaqueBytes.deserialize(kryo: KryoPool = p2PKryo()): T`
sha256 | `fun OpaqueBytes.sha256(): SHA256`